Name: mod_python
Version: 2.7.10
Release: alt2

Summary: Python module for Apache
Group: System/Servers
License: Free
Url: http://www.modpython.org
Packager: Ivan Fedorov <ns@altlinux.ru>

Source: %name-%version.tgz

PreReq: apache >= %apache_version
PreReq: python >= %__python_version

%add_python_req_skip _apache

%define apache_ctl %_sbindir/apachectl

%define apache_libdir %(%apache_apxs -q LIBEXECDIR)
%define python_libdir %_libdir/python%__python_version
%define apache_modconfdir %apache_confdir/addon-modules
%define apache_moddocdir  %apache_htdocsdir/addon-modules
%define python_bindir %apache_htdocsdir/python

BuildPreReq: apache-devel >= %apache_version
BuildPreReq: python-devel >= %__python_version

# Automatically added by buildreq on Sat May 15 2004
BuildRequires: XFree86-devel apache-devel python-devel

%description
mod_python is an Apache module that embeds the Python interpreter within the server.
With mod_python you can write web-based applications in Python that will run many
times faster than traditional CGI and will have access to advanced features such as
ability to retain database connections and other data between hits and access to
Apache internals.

%prep
%setup -q

%build
%__autoconf
%configure --with-apxs=%apache_apxs --prefix=%prefix
%make OPT="-fPIC $RPM_OPT_FLAGS" dso

%install
%__mkdir_p %buildroot{%apache_moduledir,%apache_moddocdir,%apache_addonconfdir,\
%python_libdir/site-packages/mod_python,\
%_docdir/%name-%version/icons,%python_bindir}

%__install -c src/mod_python.so %buildroot%apache_moduledir

for i in `ls lib/python/mod_python/*.py`; do
  %__install -m 0644 $i %buildroot%python_libdir/site-packages/mod_python;
done

# docs
for i in `ls doc-html/*.html doc-html/*.css`; do
  %__install -m 0644 $i %buildroot%_docdir/%name-%version;
done
for i in `ls doc-html/icons/*.gif`; do
  %__install -m 0644 $i %buildroot%_docdir/%name-%version/icons;
done

%__ln_s %_docdir/%name-%version %buildroot%apache_moddocdir/%name

### Creating %name.conf
%__cat <<EOF >%name.conf
### %name.conf - configuration directives for the Python Apache module.
### See %apache_moddocdir/%name/docs/index.html for details.

## To configure Apache to handle files with the specified extension(s)
## as Python applications:

# AddHandler python-program .py

# Sample configuration for Python directory

<IfModule mod_python.c>
    <Directory "%python_bindir">
	AddHandler python-program .py .pyc .pyo
	PythonHandler mptest
	PythonDebug on
    </Directory>
</IfModule>
EOF

### Creating mptest.py
%__cat <<EOF >mptest.py
from mod_python import apache

def handler(req):
    req.send_http_header()
    req.write("Hello World!")
    return apache.OK
EOF

%__install -m 0644 %name.conf %buildroot%apache_addonconfdir
%__install -m 0644 mptest.py %buildroot%python_bindir

%post
[ -x %apache_apxs ] && %apache_apxs -e -a -n python %name.so
[ -x %apache_ctl ] && %apache_ctl update ||:

%preun
if [ $1 = 0 ]; then
    [ -x %apache_apxs ] && %apache_apxs -e -A -n python %name.so
    [ -x %apache_ctl ] && %apache_ctl update
fi ||:

%files
%python_libdir/site-packages/mod_python/*
%apache_moduledir/%name.so
%dir %attr(0775,root,%apache_webmaster) %python_bindir
%attr(0664,root,%apache_webmaster) %python_bindir/mptest.py*
%config(noreplace) %apache_addonconfdir/%name.conf
%apache_moddocdir/*
%doc %_docdir/%name-%version/*

%changelog
* Mon Jun 28 2004 Ivan Fedorov <ns@altlinux.ru> 2.7.10-alt2
- Rebuild with new rpm/python macros

* Sat May 15 2004 Ivan Fedorov <ns@altlinux.ru> 2.7.10-alt1
- First build for Sisyphus.
